#
# spec file for package yast2-crowbar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-crowbar
Version:        3.2.0
Release:        3.1
Summary:        Configuration of crowbar
License:        GPL-2.0
Group:          System/YaST
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite
Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
-

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%doc COPYING
%dir %{yast_yncludedir}/crowbar
%{yast_yncludedir}/crowbar/*
%{yast_clientdir}/crowbar.rb
%{yast_clientdir}/inst_crowbar.rb
%{yast_clientdir}/inst_crowbar_patterns.rb
%{yast_moduledir}/Crowbar.rb
%{yast_desktopdir}/crowbar.desktop
%doc %{yast_docdir}

%changelog
* Mon Nov 21 2016 rarcea@suse.com
- Update SLE versions to SP2 for Cloud 7
- 3.2.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.19
* Tue Apr 12 2016 dmueller@suse.com
- add license
* Tue Mar 15 2016 jsuchome@suse.com
- Fix network tab UI for smaller screens (bsc#968694)
  Correctly set initial state of VLAN ID field
- 3.1.18
* Mon Mar 14 2016 jsuchome@suse.com
- Fixed typo in help text (bsc#970810)
- 3.1.17
* Fri Feb 12 2016 vuntz@suse.com
- Remove any mention of SLE12
- 3.1.16
* Thu Dec  3 2015 jsuchome@suse.com
- added Local SMT Server as possible repos location
- 3.1.15
* Wed Nov 25 2015 jsuchome@suse.com
- adapt the client for preselecting pattern to work also in normal
  stage
- 3.1.14
* Wed Nov 18 2015 jsuchome@suse.com
- Added another installation client for preselecting cloud admin
  pattern for installation
- 3.1.13
* Tue Nov 10 2015 jsuchome@suse.com
- updated paths to SMT repositories
- 3.1.12
* Tue Oct 27 2015 vuntz@suse.com
- Support for repos from multiple architectures.
- 3.1.11
* Mon Oct 26 2015 vuntz@suse.com
- Update for new storage of list of repositories, in yaml files.
- 3.1.10
* Mon Oct 19 2015 vuntz@suse.com
- Update list of repositories for Cloud 6.
- 3.1.9
* Wed Oct  7 2015 jsuchome@suse.com
- Adapt module so it can be called during first stage of installation
  (which is the only stage in SLES12)
- 3.1.8
* Wed Aug 26 2015 tserong@suse.com
- Don't explicitly mention SUSE Cloud
- 3.1.7
* Thu Jul 23 2015 jsuchome@suse.com
- enable entering just SMT/Manager URL and compute the URL
- adapted repo names
- 3.1.6
* Tue Jul 14 2015 jsuchome@suse.com
- remove perl dependency
- cleanup of ruby code
- 3.1.5
* Mon Jul 13 2015 jsuchome@suse.com
- Update names of repos for Cloud 6
- 3.1.4
* Mon Jul 13 2015 jsuchome@suse.com
- Cloud5 changes ported to master:
  enabled adding new repositories
  added option to specify repository target platform (bnc#895086)
  target platform for repository is not saved when such platform
    submap doesn't exist yet (bnc#913223)
  offer correct target platform for default repositories
  offer SUSE Enterprise Storage repositories by default(bnc#920384)
  Fix name of SLE12 repos
- 3.1.3
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Mon Sep 22 2014 jsuchome@suse.cz
- Cloud4 and Cloud5 changes ported to master:
  Use /etc/crowbar/network.json as path for network configuration
  enable editing users
  enable editing update repositories (provisioner.json)
  move bastion network config to Network Mode tab
  allow editing Router preference for bastion network
  help text for Update Repositories (bnc#861985)
  added HA repositories  (bnc#870175)
  do not write mode value into the bastion network map (bnc#881380)
  updated repositories labels for Cloud5; offer also SLE12 repos
- 3.1.1
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Wed Jul 17 2013 jsuchome@suse.cz
- Use /etc/crowbar/network.json as path for network configuration
- 2.27.30
* Fri Jun 21 2013 jsuchome@suse.cz
- for admin password, edit /etc/crowbar/crowbar.json, not
  bc-template-crowbar.json (bnc#788161)
- 2.27.29
* Wed Nov 14 2012 jsuchome@suse.cz
- fixed a typo in popup text (bnc#788945)
- 2.17.28
* Tue Nov  6 2012 jsuchome@suse.cz
- enable viewing table items even when changes are not allowd
  (bnc#787533)
- check for broken JSON file
- 2.17.27
* Mon Sep 17 2012 jsuchome@suse.cz
- added 0 as available Bonding Policy (bnc#780412)
- 2.17.26
* Wed Aug 22 2012 jsuchome@suse.cz
- show existing configuration if changes are not allowed
  (bnc#776837)
- 2.17.25
* Wed Aug 22 2012 jsuchome@suse.cz
- do not allow any changes when crowbar is installed (bnc#776837)
- 2.17.24
* Tue Aug 21 2012 jsuchome@suse.cz
- added options to edit network mode (bnc#776693)
- 2.17.23
* Tue Aug 21 2012 jsuchome@suse.cz
- do not allow password editing and saving when crowbar was already
  installed (bnc#776692)
- 2.17.22
* Thu Aug 16 2012 jsuchome@suse.cz
- added basic help text (bnc#773051)
- 2.17.21
* Mon Aug 13 2012 jsuchome@suse.cz
- check the ranges also from main table menu (bnc#767916)
- 2.17.20
* Mon Aug  6 2012 jsuchome@suse.cz
- fixed subnet computing - bnc#773419
- 2.17.19
* Wed Aug  1 2012 mfilka@suse.com
- fixed subnet computing - bnc#773419
- use better function for netmask validation
- 2.17.18
* Wed Aug  1 2012 jsuchome@suse.cz
- enable removing of router value
- 2.17.17
* Mon Jul 30 2012 jsuchome@suse.cz
- update VLAN id in the table (bnc#772402)
- 2.17.16
* Fri Jul 20 2012 jsuchome@suse.cz
- use perl module instead of ruby one, since yast2-ruby-bindings
  are not available in proper version (bnc#771920)
- 2.17.15
* Fri Jul 20 2012 jsuchome@suse.cz
- validate router only when table selection changes (bnc#767916)
- 2.17.14
* Thu Jul 19 2012 jsuchome@suse.cz
- validate if router IP is part of the network (bnc#767916)
- check if ranges are not overlapping and are in current network
- 2.17.13
* Thu Jul 12 2012 jsuchome@suse.cz
- display the VLAN ID instead of check mark
- 2.17.12
* Thu Jul 12 2012 jsuchome@suse.cz
- indicate VLAN usage in the table (bnc#767902)
- 2.17.11
* Thu Jul 12 2012 jsuchome@suse.cz
- added checkbox for VLAN usage (bnc#767902)
- 2.17.10
* Mon Jul  9 2012 jsuchome@suse.cz
- do not save empty router values to json
- 2.17.9
* Fri Jun 29 2012 jsuchome@suse.cz
- added support for IP ranges (bnc#767916)
- 2.17.8
* Wed Jun 27 2012 jsuchome@suse.cz
- save broadcast values
- initialize table with current item
- added option to edit VLAN ID's (bnc#767902)
- 2.17.7
* Wed Jun 13 2012 jsuchome@suse.cz
- changed locations of JSON files
- 2.17.6
* Wed Jun 13 2012 jsuchome@suse.cz
- adapted to work on SP2
- 2.17.5
* Wed Jun 13 2012 mfilka@suse.cz
- changed network list from combo to table
- 2.17.4
* Wed Jun 13 2012 jsuchome@suse.cz
- save password settings
- check for write errors
- 2.17.3
* Wed Jun 13 2012 mfilka@suse.cz
- allow only valid IPv4 or IPv6 chars for netmask and subnet
- validate netmask and subnet
- fill in broadcast when switch to network tab
* Wed Jun 13 2012 mfilka@suse.cz
- counts broadcast addr according given netmask and subnet
* Tue Jun 12 2012 jsuchome@suse.cz
- changed UI to use tabs
- write basic network settings
- 2.17.1
* Tue Jun 12 2012 jsuchome@suse.cz
- initial version
